import inet.networklayer.configurator.ipv4.Ipv4NetworkConfigurator;
import inet.node.inet.WirelessHost;
import inet.node.inet.StandardHost;
import inet.node.wireless.AccessPoint;
import inet.physicallayer.ieee80211.packetlevel.Ieee80211ScalarRadioMedium;
import inet.visualizer.contract.IIntegratedVisualizer;




// Infrastructure mode
network Lan80211n
{
        
    parameters:
        int numsrc;
        **.mgmt.numChannels = 2;
        @display("bgb=6,4");
        
    submodules:
        visualizer: <default("IntegratedCanvasVisualizer")> like IIntegratedVisualizer if hasVisualizer() {
            parameters:
                @display("p=100,300;is=s");
        }
        configurator: Ipv4NetworkConfigurator {
            parameters:
                @display("p=100,100;is=s");
                config = xml("<config><interface hosts='*' address='145.236.x.x' netmask='255.255.0.0'/></config>");
        }
        radioMedium: Ieee80211ScalarRadioMedium {
            parameters:
                @display("p=100,200;is=s");
        }
        srcnode[numsrc]: WirelessHost {
            @display("r=,,#707070");
            wlan[*].mgmt.typename = "Ieee80211MgmtStaSimplified";
            wlan[*].agent.typename = "";
        }
        ap: AccessPoint {
            @display("p=253,174;r=,,#707070");
            wlan[*].mgmt.typename = "Ieee80211MgmtApSimplified";
        }
        dstnode[numsrc]: StandardHost {
            @display("r=,,#707070");
            //wlan[*].mgmt.typename = "Ieee80211MgmtStaSimplified";
            //wlan[*].agent.typename = "";
        }
        
        connections:
            for i=0..numsrc-1 {
            	dstnode[i].ethg++ <--> {  delay = 0.1ns; datarate = 100Gbps; }  <--> ap.ethg++; // ethernet
        	}
}
